Bug 172753 - Samba connection drops (I/O Error), does not automatically reconnect.
Samba connection drops (I/O Error), does not automatically reconnect.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-08 22:42 EST by linux01
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-17 02:24:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description linux01 2005-11-08 22:42:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Hi,

I am mounting a samba share from a Windows XP machine (by entering the smbfs in /etc/fstab). Mounting on boot (of the FC3 box) works fine, but if the Windows XP box is rebooted or goes down after that I receive an I/O error and the connection is not automatically restored. Rather, I have to do an smbumount then mount -a to restore the connection - then it works fine (until I reboot the Windows box again).

Is there a fix for this?

Thanks!

... Russell


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.As described above.
2.
3.
  

Additional info:
Comment 1 Jay Fenlason 2005-11-09 09:51:13 EST
SMBFS is not Samba.  Smbfs is part of the Linux kernel.  I'm redirecting this 
to the correct maintainers. 
 
In the mean time, does it work better if you use the cifs kernel module 
instead of smbfs?  Just changing "smbfs" to "cifs" in your /etc/fstab might do 
it, although you should look at "man mount.cifs" and adjust your mount options 
appropriately. 
Comment 2 linux01 2005-12-16 17:01:58 EST
CIFS works great, SMBFS does not. I am up and running now, but I think it would
still be worth fixing SMBFS.

Thanks!
Comment 3 Dave Jones 2005-12-17 02:24:29 EST
probably isn't going to happen in fc3 due to it reaching end of life in just a
few weeks.   It's possible it's already fixed upstream, in which case fc4 will
have it fixed.

If it's not fixed upstream however, this is a bit awkward, as smbfs is
unmaintained upstream these days, (which is one of the reasons CIFS is gaining
in popularity).

In some future release, once the CIFS bugs are worked out, I'd like to be in a
position where we can drop SMBFS completely.

As CIFS works for you in FC3 I'm going to close this bug.
(Bugzilla lacks a ->WORKAROUND resolution, so I'll use 'WORKSFORME' as it's the
closest it has).

Thanks.

Note You need to log in before you can comment on or make changes to this bug.